Bug 1923003 - WebConsole Insights widget showing "Issues pending" when the cluster doesn't report anything
Summary: WebConsole Insights widget showing "Issues pending" when the cluster doesn't ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.7.0
Assignee: Jakub Hadvig
QA Contact: Yadan Pei
URL:
Whiteboard:
: 1917177 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-01 09:36 UTC by Georgii Karataev
Modified: 2021-02-24 15:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: an opting-out cluster of the remote health reporting. Consequence: incorrect state with the "Issues pending" title shown in the Insights widget. Fix: states reworked to show correct state for the case when a cluster is opted-out of the remote health reporting. Result: the Insights shows a "Not available" state which is a correct definition for the state when a cluster doesn't send health reports to the Insights.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:57:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7997 0 None closed Bug 1923003: Update Insights widget state 2021-02-06 11:46:46 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:57:55 UTC

Description Georgii Karataev 2021-02-01 09:36:56 UTC
Description of problem:
When a customer opts out of the remote health reporting (IOW Insights Operator won't send any report), then the OCP WebConsole shouldn't show the "Issues pending" state, but likely some other state.

Version-Release number of selected component (if applicable):
4.7

How reproducible:
Opt-out some cluster of the remote health reporting (e.g., remove pull-secret according to docs).

Actual results:
The state with the "Issues pending" title is shown in the Insights widget.

Expected results:
Any other correct state that will tell a user that their cluster is opted-out of the remote health reporting and therefore Insights Operator is disabled.

Comment 2 Georgii Karataev 2021-02-02 08:40:21 UTC
*** Bug 1917177 has been marked as a duplicate of this bug. ***

Comment 3 Yadan Pei 2021-02-03 08:25:58 UTC
1. Set insights-operator unmanaged by CVO and scale down insights-operator to 0 to simulate an unavailable insights-operator, then check Insights popup status in Cluster status card, it shows an error icon and 'Temporary unavailable' , see attachment 01 [details]-Temporary unavailable

2. Opting out of remote health reporting follow the steps in doc https://docs.openshift.com/container-platform/4.6/support/remote_health_monitoring/opting-out-of-remote-health-reporting.html, check Insights popup status in Cluster status card, it shows an question mark icon and 'Disabled or waiting for results' , see attachment 01 [details]-Disabled or waiting for results

The updated text seems more reasonable and moving to VERIFIED, let me know if these updates still needs update

Verified on 4.7.0-0.nightly-2021-02-02-164630

Comment 6 errata-xmlrpc 2021-02-24 15:57:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.